com.intellectualcrafters.plot.config

## Class ConfigurationNode

- java.lang.Object
- - com.intellectualcrafters.plot.config.ConfigurationNode

-     public class ConfigurationNode
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationNode(java.lang.String constant, java.lang.Object default_value, java.lang.String description, Configuration.SettingValue type, boolean required)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getConstant()`
    `java.lang.Object` | `getDefaultValue()`
    `java.lang.String` | `getDescription()`
    `Configuration.SettingValue` | `getType()`
    `java.lang.Object` | `getValue()`
    `boolean` | `isValid(java.lang.String string)`
    `boolean` | `setValue(java.lang.String string)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationNode

          public ConfigurationNode(java.lang.String constant,
                           java.lang.Object default_value,
                           java.lang.String description,
                           Configuration.SettingValue type,
                           boolean required)

  - ### Method Detail

    - #### getType

          public Configuration.SettingValue getType()

    - #### isValid

          public boolean isValid(java.lang.String string)

    - #### setValue

          public boolean setValue(java.lang.String string)

    - #### getValue

          public java.lang.Object getValue()

    - #### getConstant

          public java.lang.String getConstant()

    - #### getDefaultValue

          public java.lang.Object getDefaultValue()

    - #### getDescription

          public java.lang.String getDescription()